Bug 444131 - "Japanese Canna" doesn't convert to Kanji
"Japanese Canna" doesn't convert to Kanji
Product: Fedora
Classification: Fedora
Component: dasher (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: i18n
Depends On:
  Show dependency treegraph
Reported: 2008-04-25 05:56 EDT by Akira TAGOH
Modified: 2013-03-05 22:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.9.0-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 06:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2008-04-25 05:56:17 EDT
Description of problem:
"Japanese Canna" as Alphabet selection doesn't convert to Kanji.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.choose some hiragana characters and > to convert
Actual results:
it shows me as is

Expected results:
Kanji characters should appears

Additional info:
Apparently dasher wasn't built against libcanna. dasher.spec has to have BR:
Canna-devel and --enable-japanese for %configure.
Comment 1 Matthias Clasen 2008-04-25 19:48:26 EDT
I've done this now in rawhide; keeping this bug open to maybe do the same in an
F9 update.
Comment 2 Fedora Update System 2008-05-05 22:47:34 EDT
dasher-4.9.0-1.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-13 11:20:53 EDT
dasher-4.9.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dasher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3777
Comment 4 Bug Zapper 2008-05-14 06:08:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 5 Akira TAGOH 2008-05-15 23:16:04 EDT
I can see Kanji in the candidate now. however I was expecting Hiragana would be
replaced by Kanji like it does on the preedit as usual. but probably it should
be another issue or RFE.
Comment 6 Fedora Update System 2008-05-21 06:57:15 EDT
dasher-4.9.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.